{
  "name": "oki-front",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "lint": "xo",
    "dev": "node server",
    "build": "next build",
    "start": "NODE_ENV=production node server"
  },
  "dependencies": {
    "@icons-pack/react-simple-icons": "^3.13.0",
    "@material-ui/core": "^4.11.2",
    "@material-ui/icons": "^4.11.2",
    "@material-ui/lab": "^4.0.0-alpha.57",
    "axios": "^0.21.0",
    "compression": "^1.7.4",
    "date-fns": "^2.16.1",
    "express": "^4.17.1",
    "fontsource-roboto": "^3.0.3",
    "lodash.deburr": "^4.1.0",
    "lodash.union": "^4.6.0",
    "lodash.uniq": "^4.5.0",
    "material-auto-rotating-carousel": "^3.0.2",
    "mongodb": "^3.6.9",
    "next": "^11.0.0",
    "next-auth": "^3.23.0",
    "next-offline": "^5.0.3",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-swipeable-views": "^0.13.9"
  },
  "devDependencies": {
    "eslint": "^7.14.0",
    "eslint-config-xo-nextjs": "^1.6.0",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-react-hooks": "^4.2.0",
    "xo": "^0.35.0"
  },
  "xo": {
    "extends": "xo-nextjs",
    "semicolon": false,
    "space": 2,
    "envs": [
      "browser",
      "es2020"
    ],
    "rules": {
      "react/no-danger": "off",
      "react/require-default-props": "warn",
      "react/react-in-jsx-scope": "off",
      "camelcase": "off",
      "react/boolean-prop-naming": "off",
      "new-cap": [
        "error",
        {
          "capIsNewExceptions": [
            "Credentials",
            "Google",
            "NextAuth"
          ]
        }
      ],
      "import/extensions": [
        "error",
        "never",
        {"png": "always", "jpg": "always"}
      ]
    }
  }
}
